com.r3corda.core.crypto / NullPublicKey

# NullPublicKey

`object NullPublicKey : PublicKey, Comparable<PublicKey>`

### Functions

compareTo | `fun compareTo(other: PublicKey): Int`
getAlgorithm | `fun getAlgorithm(): String`
getEncoded | `fun getEncoded(): ByteArray`
getFormat | `fun getFormat(): String`
toString | `fun toString(): String`

### Extension Functions

toBase58String | `fun PublicKey.toBase58String(): <ERROR CLASS>`
toStringShort | `fun PublicKey.toStringShort(): String` Render a public key to a string, using a short form if its an elliptic curve public key
verifyWithECDSA | `fun PublicKey.verifyWithECDSA(content: ByteArray, signature: DigitalSignature): Unit` Utility to simplify the act of verifying a signature